package com.hwrj.cloud.admin.dao;

import com.hwrj.cloud.admin.annotation.DataPermission;
import com.hwrj.cloud.admin.dto.param.PreItemWebPageParm;
import com.hwrj.cloud.admin.model.OmsPreItem;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 自定义注解
 */
@DataPermission(methods = {"searchOmsPreItemDao","deletePreItemDao"})
public interface OmsPreItemDao {

    public List<OmsPreItem> searchOmsPreItemDao();

    public int deletePreItemDao(@Param("id")Long id);


    List<OmsPreItem> weblist(PreItemWebPageParm preItemWebPageParm);
}
